---
header-includes:
  - \usepackage[T1]{fontenc}
  - \usepackage[french]{babel}
  - \usepackage{datetime}
  - \usepackage{hyperref}
---

# Semaine 3: Les systèmes experts à base de règles

Lecture principale: Luger (2009)

## Système de production

Source: [Young - Production Systems in Cognitive Psychology](http://www0.cs.ucl.ac.uk/staff/r.m.young/publications/00.PS-encyc-article.pdf)

- Un système de production est une collection de règles `si ... alors ...` qui ensemble forment un modèle de simulation et traitement de l'information d'une tâche cognitive ou d'un ensemble de tâches. 
- Le fonctionnement est un cycle de reconnaissance (conditions) et d'action
- Caractéristiques:
  - Traitement en série et en parallèle
  - Indépendance des règles
  - Contrôle flexible
- Utilisés dans des domaines avec une forte concentration de connaîssances, par exemple le domaine médical et le jeu d'échecs.
- Deux mémoires: 
  1. Mémoire de production (règles)
  1. Mémoire de données (informations sur la tàche en cours)
- Résolution de conflits
  - Un conflit se produit si plusieurs règles sont satisfaites simultanément
  - Différentes méthodes de résolution: ordre de précédence des règles, âge des données, complexité des conditions de la règle, ...
  - Young and O’Shea (1981): Résolution de soustractions chez les enfants: une douzaine de règles. Les erreurs les plus fréquentes sont répliquées facilement en enlevant ou ajoutant une règle au système.
  - Depuis les années 1990: Architectures cognitives intégrées:
    - Soar (Newell 1990): 
    - ACT (Anderson and Lebiere 1998): 

## Définition

- Les systèmes experts représentent les connaîssances servant à résoudre les problèmes sous la forme de règles `si ... alors ...`.
- Un système expert à base de règles est construit à partir d'un **système de production** tel que défini par Newell and Simon:
  - Modéliser la performance humaine dans la résolution de problèmes
  - Base de connaîssances spécifique au domaine: ensemble de règles de production
  - Expérimentation sur la cryptarithmétique: résolution de problèmes arithmétiques où les nombres sont encodés. Observation du processus de résolution et établissement de règles.




